> For the complete documentation index, see [llms.txt](https://docs.whisk.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.whisk.com/api/shopping-lists/update-basic-details-of-a-shopping-list.md).

# Update basic details of a Shopping List

## Update Shopping List

<mark style="color:green;">`POST`</mark> `https://api.whisk.com/list/v2/{id}`

You can use a body parameter to update a shopping list:

#### Path Parameters

| Name | Type   | Description                   |
| ---- | ------ | ----------------------------- |
| id   | string | The shopping list identifier. |

#### Headers

| Name           | Type   | Description                                                                                                                                           |
| -------------- | ------ | ----------------------------------------------------------------------------------------------------------------------------------------------------- |
| Authentication | string | Server Token or a User Access token containing `shopping_list:write` scope to authorize the API usage. For more information, see Authentication.&#xD; |

#### Request Body

| Name | Type   | Description                                                                                                             |
| ---- | ------ | ----------------------------------------------------------------------------------------------------------------------- |
| body | object | The body object contains the attributes to update the general shopping list details. See the Body Object Example below. |

{% tabs %}
{% tab title="200 This is how a successful response looks." %}

```graphql
{
  "list": {
    "id": "string",
    "name": "string",
    "primary": true
  }
}
```

{% endtab %}

{% tab title="400 This failed response appears when error codes are found in the endpoint query." %}

```yaml
{
  "error_code": "REAL_CODES_ARE_IN_ENDPOINT_DESCRIPTION",
  "message": "Additional details about error are not static and can be changed"
}
```

{% endtab %}

{% tab title="401 This failed response appears due to API authentication failure. The possible error codes that may appear are:auth.tokenNotFound, auth.tokenExpired, auth.tokenInvalid, auth.tokenRequired." %}

```yaml
{
  "code": "auth.tokenNotFound"
}
```

{% endtab %}

{% tab title="500 This failed response appears when something is not right on Whisk's end. Please send a message to <help@whisk.com>, and be sure to include both the Request and Response data. We’ll get back to you soon." %}

```yaml
This is unexpected response, something is wrong on our side, please contact: help@whisk.com
```

{% endtab %}
{% endtabs %}

### Request Body Object Example

```graphql
{
  "fields": {
    "name": "My Updated Shopping List",
    "primary": true
  },
  "mask": {
    "paths": [
      "name", "primary"
    ]
  }
}
```

The `fields` object allows you to specify new values for the shopping list attributes. Currently, we only support updating the `name` and `primary` attributes.

The `mask` object allows you to specify the attributes that you want to update specifically. For example, in each update request, you need to specify values for both `name` and `primary` attributes regardless of whether you want to update both or only one of them. Hence, the `mask` object determines which attributes are to be updated exactly.

The `mask` object contains the `path` array that allows you to add a comma-separated list of attributes to update.

### Sample Request and Response

{% tabs %}
{% tab title="Curl Request" %}

```bash
curl -X POST "https://api.whisk.com/list/v2/106e1fa4cbb7c844458be372c3e0f7bfa94"
    -H "Accept: application/json"
    -H "Authorization: Bearer <YOUR-API-ACCESS-KEY>"
    -d "{ \"fields\": { \"name\": \"My Updated Shopping List\", \"primary\": true }, \"mask\": { \"paths\": [ \"name\", \"primary\" ] }}"
```

{% hint style="info" %}
Whisk allows you to discover and understand its API capabilities on the Swagger interface with the ability to try out the API calls directly in your browser. You can call this endpoint [here](https://api.whisk.com/spec/#/ShoppingListAPI/ShoppingListAPI_UpdateList).
{% endhint %}
{% endtab %}

{% tab title="Response" %}

```graphql
{
  "list": {
    "id": "106e1fa4cbb7c844458be372c3e0f7bfa94",
    "name": "My Updated Shopping List",
    "primary": true
  }
}
```

{% hint style="info" %}
A successful response includes the shopping list identifier and its updated attributes.
{% endhint %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.whisk.com/api/shopping-lists/update-basic-details-of-a-shopping-list.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
